# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'vman/version'

Gem::Specification.new do |spec|
  spec.name          = "vman"
  spec.version       = Vman::VERSION
  spec.authors       = ["strong-code"]
  spec.email         = ["colin@strongco.de"]
  spec.license       = "Apache-2.0"

  spec.summary       = "Object version manager for AWS S3 buckets"
  spec.description   = "Command line and interactive menu interfaces for managing versioned S3 objects"
  spec.homepage      = "https://github.com/doximity/vman"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "bin"
  spec.executables   << 'vman'
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "aws-sdk", "~> 2.0"
  spec.add_runtime_dependency "tty-prompt", "~> 0.7"

  spec.add_development_dependency "bundler", "~> 1.13"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
  spec.add_development_dependency "minitest-reporters", "~> 1.1"
end
